 %{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global bzr_rev 986

Name:           gwibber
Version:        3.1.0
Release:        4%{?dist}
Epoch:          1
Summary:        An open source microblogging client for GNOME developed with Python and GTK
Group:          Applications/Internet
License:        GPLv2+
URL:            https://launchpad.net/gwibber
# NOTE: Leaving this in case we need to go back to bzr checkouts.
# The source for this package can be pulled from upstream's vcs.  Use the
# following command to generate the tarball:
#   bzr export -r %{bzr_rev} gwibber-%{bzr_rev}bzr.tar.gz lp:gwibber/3.0
Source0:        %{name}-%{bzr_rev}bzr.tar.gz
# Source0:	http://launchpad.net/gwibber/3.2/3.1.0/+download/%{name}-%{version}.tar.gz

# Fix situation where pango_overlay can be undefined
# https://bugs.launchpad.net/gwibber/+bug/577050
Patch1:		gwibber-865bzr-undefined.patch

# Disable libproxy support
# It doesn't work for some unknown reason.
Patch2:		gwibber-2.91.92-no-libproxy.patch

# Handle \x00 if it shows up in our content string
# bz 630944 & 620170
# https://bugs.launchpad.net/gwibber/+bug/647049
Patch3:		gwibber-2.91.92-handle-x00-in-content.patch

# Oauth bits
Patch6:		gwibber-832bzr-twitter-oauth.patch

# Minimize characters with unicode equivs
Patch10:	gwibber-986bzr-minimize-chars.patch

# Fix iter call to non-existent "mark", use "mark_start"
# bz635345 bz623754
Patch11:	gwibber-986bzr-undefined-mark.patch

# Use kitchen to force all strings generated by microblog inputs to unicode
Patch13:	gwibber-986bzr-kitchen-unicode.patch

# Right click on a stream in the navigation bar to close it.
Patch14:	gwibber-875bzr-right-click-to-close-stream.patch

# Facebook Fedora key
Patch15:	gwibber-886bzr-facebook-fedora.patch

# Fix hash tag parsing for unicode
Patch19:	gwibber-2.91.92-kitchen-unicode-hash.patch

# Gowalla support
Patch40:	gwibber-3.0.0-gowalla.patch
Patch41:	gwibber-2.91.92-gowalla-icons.patch
Patch42:	gwibber-2.91.92-gowalla-kitchen.patch

# Sina support
Patch43:	gwibber-3.0.0.1-sina.patch
Patch44:	gwibber-3.0.0.1-sina-icons.patch

# Catch errors trying to get Twitter Oauth token
Patch45:	gwibber-3.0.0.1-twitter-catch_error.patch

# Don't try to process empty message (bz 702880)
Patch46:	gwibber-3.0.0.1-empty_msg.patch

# Improve about-dialog handling (bz 700878)
Patch47:	gwibber-3.0.0.1-improve-about-dialog-handling.patch

# Catch sqlite errors (bz 702992 678015 699139 698074 700966)
Patch48:	gwibber-3.0.0.1-sqlite-catch_error.patch

# Overwrite default oauth key
Patch49:	gwibber-3.1.0-fix-twitter-oauth.patch

Requires:	libsoup, python-pycurl
Requires:	python 
Requires:	dbus-python >= 0.80.2
Requires:	pygtk2 >= 2.10.4 
Requires:	gnome-python2-gconf >= 2.18.0
Requires:	python-imaging >= 1.1.6
Requires:	notify-python >= 0.1.1
Requires:	pywebkitgtk >= 1.0.1
Requires:	python-simplejson >= 1.9.1
Requires:	mx >= 3.0.0
Requires:	python-distutils-extra
Requires:	python-feedparser >= 4.1
Requires:       pyxdg >= 0.15
Requires:	python-mako >= 0.2.2
Requires:       gnome-python2-gnomekeyring
Requires:       python-oauth
Requires:	gnome-python2-libwnck
Requires:	gnome-python2-gtkspell
Requires:	python-kitchen
BuildRequires:  python-devel, desktop-file-utils, python-distutils-extra, intltool, gettext
BuildArch:      noarch

%description
Gwibber is an open source microblogging client for GNOME developed with Python
and GTK. It supports Twitter, Jaiku, Identi.ca, Facebook, and Digg.


%prep
%setup -q -n gwibber-%{bzr_rev}bzr

%patch1 -p1 -b .undefined
%patch2 -p1 -b .no-libproxy
%patch3 -p1 -b .x00

%patch6 -p1 -b .oauth

%patch10 -p1 -b .minimize
%patch11 -p1 -b .missing-mark

%patch13 -p1 -b .kitchen

%patch14 -p1 -b .right-click

%patch15 -p1 -b .fedora

%patch19 -p1 -b .kitchen-hash

# Gowalla
%patch40 -p1 -b .gowalla
%patch41 -p1 -b .gowalla-icons
%patch42 -p1 -b .gowalla-kitchen

# Sina
%patch43 -p1 -b .sina
%patch44 -p1 -b .sina-icons

# Catch errors trying to get Oauth tokendata from Twitter
%patch45 -p1 -b .catch_error

# Do not try to process an empty message (bz 702880)
%patch46 -p1 -b .empty_msg

# Improve about-dialog handling (bz700878)
%patch47 -p1 -b .improve-about-dialog-handling

# Catch sqlite errors (bz 702992 678015	699139 698074 700966)
%patch48 -p1 -b .catch_sqlite_error

# Overwrite default oauth key for twitter
%patch49 -p1

# sed -i -e '/^#! \?\//, 1d' $(find %{name} | grep "\.py$")

%build
%{__python} setup.py build


%install
%{__python} setup.py install --prefix %{_prefix} -O1 --skip-build --root %{buildroot}

# Clean up patchfiles
for i in `find %{buildroot} |grep "\.gowalla"`; do
	rm -f $i
done
for i in `find %{buildroot} |grep "\.sina"`; do
	rm -f $i
done
for i in `find %{buildroot} |grep "\.catch_error"`; do
	rm -f $i
done

## Reinstall .desktop file
rm -rf %{buildroot}%{_datadir}/applications
desktop-file-install --vendor="fedora" --dir=%{buildroot}%{_datadir}/applications build/share/applications/%{name}.desktop

## Install i18n data  (THIS MUST COME LAST)
cp -a build/mo %{buildroot}%{_datadir}/locale
%find_lang %{name}

 
%files -f %{name}.lang
%doc AUTHORS COPYING README
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*.egg-info
%{_bindir}/%{name}
%{_bindir}/%{name}-accounts
%{_bindir}/%{name}-poster
%{_bindir}/%{name}-preferences
%{_bindir}/%{name}-service
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/dbus-1/services/com.Gwibber.Accounts.service
%{_datadir}/dbus-1/services/com.Gwibber.Connection.service
# %%{_datadir}/dbus-1/services/com.Gwibber.Messages.service
%{_datadir}/dbus-1/services/com.Gwibber.Searches.service
%{_datadir}/dbus-1/services/com.Gwibber.Service.service
%{_datadir}/dbus-1/services/com.Gwibber.Streams.service
%{_datadir}/dbus-1/services/com.Gwibber.URLShorten.service
%{_datadir}/dbus-1/services/com.GwibberClient.service
%{_datadir}/indicators/messages/applications/gwibber

%changelog
* Fri Mar  2 2012 Tom Callaway <spot@fedoraproject.org> - 1.3.1.0-4
- sync with latest in 3.0 branch in bzr

* Thu Jul  7 2011 Tom Callaway <spot@fedoraproject.org> - 1:3.1.0-2
- really use our oauth key

* Tue Jun 14 2011 Tom Callaway <spot@fedoraproject.org> - 1:3.1.0-1
- update to 3.1.0

* Thu May 12 2011 Tom Callaway <spot@fedoraproject.org> - 1:3.0.0.1-2
- add support for Sina
- Catch errors trying to get Oauth tokendata from Twitter (bz 702940, 700960)
- Do not try to	process	an empty message (bz 702880)
- Improve about-dialog handling (bz 700878)
- Catch and log sqlite errors (bz 702992 678015	699139 698074 700966)

* Tue Apr 26 2011 Tom Callaway <spot@fedoraproject.org> - 1:3.0.0.1-1
- update to 3.0.0.1

* Tue Apr 05 2011 Bill Nottingham <notting@redhat.com> - 1:3.0.0-1
- update to 3.0.0

* Thu Mar 24 2011 Tom Callaway <spot@fedoraproject.org> - 1:2.91.92-2
- fix hash tag parsing of unicode tags

* Thu Mar 24 2011 Tom Callaway <spot@fedoraproject.org> - 1:2.91.92-1
- update to 2.91.92

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:2.33.0-13.894bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 13 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-12.894bzr
- update to 894, improve result parsing, more digg fixes, fedora facebook key

* Mon Oct 11 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-11.886bzr
- update to 886, dm patches merged, glibc fix merged, digg fix merged, several facebook fixes

* Thu Oct  7 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-11.875bzr
- right click on a stream in the navigation bar and it closes
- RIBBIT!

* Thu Oct  7 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-10.875bzr
- fix place where glib was being used without being imported
- apply BigWhale's DM fixes

* Thu Oct  7 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-9.875bzr
- fix digg, apply kitchen changes to digg too

* Wed Oct  6 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-8.875bzr
- sync to bzr875

* Sat Sep 25 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-7.867bzr
- enable toshio's improved character minimization code

* Fri Sep 24 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-6.867bzr
- replace \x00 with a blank space in the content string to prevent load_html_string 
  from choking on it (bz 620170 & 630944)

* Thu Sep 23 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-5.867bzr
- drop debug patch
- don't apply auto-minimizer patch until upstream gives feedback
- drop extraneous dependencies (bz 632621)
- fix call to non-existent "mark" to call "mark_start" instead (bz 623754, 635345)

* Thu Sep 23 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-4.867bzr
- add support for auto-minimizing common character strings to unicode equivs

* Thu Sep 23 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-2.867bzr
- use kitchen to handle non-utf8 characters
- gowalla support

* Thu Sep 23 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-1.867bzr
- fix some crash issues by moving to bzr867

* Tue Sep 21 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.33.0-1.865bzr
- update to 2.33
- drop local "fix quit" patch, upstream fixed differently.
- drop unicode fix hack, no longer works
- properly fix case where pango_overlay could be undefined (bz 636409 627394)

* Thu Sep  9 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.92-1.847bzr
- update to 2.31.93 (847bzr)

* Fri Sep  3 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.92-1.838bzr
- update to 2.31.92 (838bzr)

* Tue Aug 31 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.91-1.832bzr
- update to 2.31.91 (832bzr)
- move twitter to oauth

* Fri Aug 27 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.90-5
- add Requires: gnome-python2-gtkspell for spell checking support
- update to bzr 830

* Thu Aug 26 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.90-4
- fix "threads gone wild" problem (bz627686), thanks to Bill Nottingham

* Thu Aug 26 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.90-3
- update to bzr 825

* Tue Aug 24 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.90-2
- update to bzr 823

* Mon Aug 23 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.90-1
- update to 2.31.90 (bzr 819)

* Mon Aug 16 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.6-1
- update to 2.31.6 (bzr 804)

* Wed Aug 11 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.4-2
- update to bzr797

* Mon Aug  9 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.4-1
- update to 2.31.4
- fix issue where client minimized to icon will not quit when told to

* Wed Jul 28 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 1:2.31.2-8
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jul 26 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-7
- update to 738, which has most of my patches merged!

* Mon Jul 26 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-4
- rebase on pre3 branch

* Mon Jul 19 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-3
- fix 729 patch

* Wed Jul 14 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-2
- add gwibber nbsp unicode hack fix

* Wed Jul 14 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.31.2-1
- sync up to 2.31.2

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-14
- back out libproxy patch. just makes everything stall out.

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-13
- cleanup facebook auth screen again

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-12
- remove connect timeout from network.py

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-11
- libproxy
- fix exception handling
- more facebook fix

* Fri Jun 25 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-10
- notifications

* Fri May 27 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-9
- more facebook fixes

* Thu May 27 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-8
- facebook fixes

* Wed May 26 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-7
- switch to sqlite backend branch

* Fri May  7 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-6
- update to bzr revision 721

* Wed Apr 28 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-5
- if ~/.cache/gwibber does not exist, create it with os.makedirs() not os.mkdir()

* Wed Apr 28 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-4
- default notification icon size is now 48 x 48

* Fri Apr 23 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-3
- add notification area support

* Tue Apr 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-2
- add fix for https://bugs.launchpad.net/gwibber/+bug/546392

* Thu Apr 15 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.30.0.1-1
- update to 2.30.0.1

* Thu Apr  8 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.94-1
- update to 2.29.94

* Wed Mar 31 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.93-1
- update to 2.29.93

* Wed Mar 24 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.92.1-2
- add missing Requires: gnome-python2-libwnck

* Wed Mar 17 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.92.1-1
- update to 2.29.92.1

* Fri Mar 12 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.92-1
- update to 2.29.92

* Tue Mar  9 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.29.91-1
- update to 2.29.91

* Wed Jan  6 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1:2.0.0-2.491bzr
- Update to r491

* Sun Nov 22 2009 Ian Weller <ian@ianweller.org> - 1:2.0.0-2.478bzr
- Add Requires: python-pycurl

* Thu Nov 19 2009 Ian Weller <ian@ianweller.org> - 1:2.0.0-1.478bzr
- Major update to 2.0 code

* Mon Jul 13 2009 Ian Weller <ian@ianweller.org> - 1:1.2.0-2.349bzr
- update to r349, bugfixes

* Tue Jun 23 2009 Ian Weller <ian@ianweller.org> - 1:1.2.0-1.345bzr
- update to r345

* Tue Jun  2 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1:0.9.1-3.339bzr
- template theme engine merged onto main devel branch
- move to r339

* Wed Apr 22 2009 Ian Weller <ianweller@gmail.com> - 1:0.9.1-2.288bzr
- Update to r288, gwibber will now scroll back to where it was before a refresh
- Fix bugzilla.redhat.com/497108, add Requires: python-mako
- Version number is actually 0.9.1 now (multiple branch switches on my part are at fault), add Epoch

* Tue Apr 21 2009 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-1.287bzr
- move to template-theme-engine branch, 287

* Thu Apr  9 2009 Ian Weller <ianweller@gmail.com> 1.0.1-1.286bzr
- Update from upstream revision 286

* Tue Mar 17 2009 Ian Weller <ianweller@gmail.com> 0.9.1-1.251bzr
- Update from upstream revision 251
- Adjust pjones's patch to use spaces

* Tue Mar 17 2009 Peter Jones <pjones@redhat.com>
- Fix missing Requires: libsoup

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2.239bzr
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Ian Weller <ianweller@gmail.com> 0.8-1.239bzr
- Update from upstream revision 239:
  - Integration with GNOME keyring (add Requires: gnome-python2-gnomekeyring)
  - Support for notifications to detect service capabilities

* Sat Feb 14 2009 Ian Weller <ianweller@gmail.com> 0.7.3-6.237bzr
- Update from upstream revision 237:
  - Return identi.ca back to http:// (not merged into 1.0 branch)
  - Error window fix and other minor bugfixes

* Mon Feb  9 2009 Ian Weller <ianweller@gmail.com> 0.7.3-5.234bzr
- Update upstream to r234:
  - Switch identi.ca to http://
  - Localized time
  - defaultsmall changes in tandem with default theme
  - New theme: funkatron

* Wed Feb 04 2009 Ian Weller <ianweller@gmail.com> 0.7.3-4.223bzr
- Update upstream to r223:
  - Show reply to links from Laconica servers
  - Only runs new gwibber if one isn't running already
  - Better support for adding Jaiku, Ping.fm, and Facebook accounts
  - Support for showing a Twitterer's user timeline in a new tab
  - Other programming and translation improvements and bugfixes

* Wed Jan 28 2009 Ian Weller <ianweller@gmail.com> 0.7.3-3.199bzr
- Update upstream to r199:
  - more translations
  - "source" in identica and laconica now identified
  - account manager bug fix

* Tue Jan 27 2009 Ian Weller <ianweller@gmail.com> 0.7.3-2.196bzr
- Restore the Requires on python-sexy that I accidentally overwrote

* Tue Jan 27 2009 Ian Weller <ianweller@gmail.com> 0.7.3-1.196bzr
- Add Requires: python-imaging (PIL)
- Add BuildRequires: python-distutils-extra, intltool and gettext for i18n
- Add build and installation lines for i18n support
- Move shebang remover to setup
- Fix version in setup.py
- Update upstream

* Sat Jan 17 2009 Brian Pepple <bpepple@fedoraproject.org> 0.7.2-5.165bzr
- Enable spell checking by adding missing requires on python-sexy.

* Sun Dec 21 2008 Ian Weller <ianweller@gmail.com> 0.7.2-3.165bzr
- Update upstream

* Sun Dec 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.7.2-2.156bzr
- add missing Requires: pyxdg

* Wed Dec 17 2008 Ian Weller <ianweller@gmail.com> 0.7.2-1.156bzr
- Update upstream

* Sun Nov 16 2008 Ian Weller <ianweller@gmail.com> 0.7.1-1.134bzr
- Update upstream
- Remove patch from J. Katz, fixed upstream

* Thu Oct  2 2008 Jeremy Katz <katzj@redhat.com> - 0.7-6.102bzr
- Use the system python-simplejson rather than the one included in the
  tarball (#464727)

* Mon Sep 29 2008 Ian Weller <ianweller@gmail.com> 0.7-5.102bzr
- Requires: mx

* Thu Sep 11 2008 Ian Weller <ianweller@gmail.com> 0.7-4.102bzr
- Update upstream
- Fix requires: s/pywebkitgui/pywebkitgtk/
- Fix requires: python-simplejson >= 1.9.1

* Sat Aug 30 2008 Ian Weller <ianweller@gmail.com> 0.7-3.101bzr
- Update upstream to webkitui branch

* Tue Aug 05 2008 Ian Weller <ianweller@gmail.com> 0.7-2.61bzr
- Patch facebook.py to find ui/preferences.glade in the right location

* Mon Aug 04 2008 Ian Weller <ianweller@gmail.com> 0.7-1.61bzr
- Initial package build.
